
/**
 * The base class of the scrappers, any of the website scrappers must extend this class
 */
class Scrapper {

    /**
     * An array of all of the logs
     */
    public logs: Array<any> = [];

    /**
     * Get the details of a specific post
     * @param url The URL to the post, this must be the actual page which contains the image, tags, etc...
     */
    public async getPostDetails( url: string ): Promise<any> {
        return {};
    }

    /**
     * Get a list of posts from the mentioned page
     * @param url 
     * @returns 
     */
    public async getPostsFrompage( url: string ): Promise<any> {
        return [];
    }


}